
Redmine - Feature #39218

Send 2FA security notifications asynchronously

2023-10-23 04:18 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Given what Jean-Philippe Lang wrote in #38388#note-2:

In Redmine 4.2, security notifications seem to be sent synchronously, unlike other notifications that are sent later. It triggers a

timeout when sending the notification from redmine.org.

 It might be better if Redmine would send security notifications asynchronously too.

Related issues:

Related to Redmine - Defect #38388: Cannot generate 2FA backup codes from red... Closed

Is duplicate of Redmine - Patch #36005: Adopt 2FA emails to new Mailer interface Closed

History

#1 - 2023-10-23 04:23 - Mischa The Evil

- Related to Defect #38388: Cannot generate 2FA backup codes from redmine.org added

#2 - 2023-10-24 01:08 - Mischa The Evil

- Is duplicate of Patch #36005: Adopt 2FA emails to new Mailer interface added

#3 - 2023-10-24 01:12 - Mischa The Evil

- Subject changed from Send security notifications asynchronously to Send 2FA security notifications asynchronously

- Status changed from New to Closed

- Resolution set to Duplicate

Further review shows this was reported and fixed previously in #36005 for Redmine 5.0.0.
